#!/bin/bash

# Main 
PROJECT=black_vector
EXEC=BlackVector
VERSION=1.0.2

echo "------------------------------------------------------------"
echo "   $PROJECT v.$VERSION Installation script"
echo "------------------------------------------------------------"
echo 
echo "Press Enter to continue .."
read answer

INSTALL_DIR=/opt/$PROJECT
SETTINGS=settings.ini
OWNER=`whoami`
GROUP=`groups | awk '{print $1}'`

sudo mkdir -p $INSTALL_DIR
sudo chown $OWNER:$GROUP $INSTALL_DIR

mkdir -p $INSTALL_DIR/xml
mkdir -p $INSTALL_DIR/results
mkdir -p $INSTALL_DIR/archives

cp -f bin/$EXEC $INSTALL_DIR/
cp -f bin/$SETTINGS $INSTALL_DIR/

chmod 755 $INSTALL_DIR/$EXEC
chmod 644 $INSTALL_DIR/$SETTINGS

echo
echo "Installation complete"
echo "$PROJECT installed to $INSTALL_DIR"
echo
echo "Put your XML files to $INSTALL_DIR/xml and run $INSTALL_DIR/$EXEC"
echo